import { C8oCore } from "./c8oCore";
import { C8oResponseListener } from "./c8oResponse";
export declare class C8oManagerDatabase {
    c8o: C8oCore;
    private replications;
    private mutexCreateReplication;
    constructor(c8o: C8oCore);
    localName(baseName: string, log?: boolean): string;
    readonly registeredReplications: Object;
    registerRequest(listener: C8oResponseListener, parameters: Object, type: string, fullSyncDatabase: any, handler?: any): any[];
    cancelAndPopRequest(id: any): void;
    cancelAllForbase(baseName: any): void;
    restartReplications(user: string): Promise<void>;
    stopReplications(user: string): void;
    removeReplications(user: string): void;
}
